import React, { Component } from 'react';
import NavLink from './NavLink';

import styles from './index.scss';
import Index from './components/Index';
import Classify from './components/classify';
import Study from './components/study';
import My from './components/my';

export default class Nav extends Component {
    render() {
        return (
            <div>
                <div style={{ height: '50px' }}></div>
                <div className={styles.root}>
                    <NavLink
                        pathUrl="/"
                        icoName={"i-zhuye42un"}
                        active={styles.navOne}
                        linkName="首页"
                    />
                    <NavLink
                        pathUrl="/classify"
                        icoName="i-haodian42un"
                        active={styles.navTwo}
                        linkName="分类"
                    />
                    <NavLink
                        pathUrl="/study"
                        icoName="i-youhui42un"
                        active={styles.navThree}
                        linkName="学习"
                    />
                    <NavLink
                        pathUrl="/my"
                        icoName="i-zhoubian42un"
                        active={styles.navFour}
                        linkName="我的"
                    />
                </div>
            </div>
        )
    }
}