import React, { Component } from 'react';
import { Checkbox } from 'antd-mobile';
import OrderList from '@/common/OrderList';


class CardItem extends Component {
    // 构造函数
    constructor(props) {
        super(props)
        this.state = {
            val: props.item.value
        }
    }
    // 改变选择
    onChange(e, id) {
        let checked = e.target.checked;
        // console.log(checked,id)
        this.props.checkChange(id, checked)
    }
    // 修改购物车
    editCart(it, val) {
        
    }
    // 删除购物车
    delete(id) {
       
    }
    //跳转
    goto(id) {

       
    }
    //render
    render() {
        let item = this.props.item
        return (
                <div className="cart-c-item" >
                    <div className="cart-c-check">
                        <Checkbox checked={item.check} onChange={(e) => {
                            this.onChange(e, item.id)
                        }} />
                    </div>
                    <div className="card-wrap">
                        const Info = (
                        <div className="info">
                            <p className='title'>{item.title}</p>
                            <p className='contact'>{item.contact}</p>
                            <p className='des'>
                                <span className='time'>{item.time}</span>
                                <span className='record'>{item.record}</span>
                            </p>
                        </div>
                    )
                        <OrderList info={Info}></OrderList>

                        
                    </div>    
                </div>

        )
    }
}
export default CardItem;