import React, { Component } from 'react'
import { NavLink } from 'react-router-dom';
import './index.scss'

export default class NavLinks extends Component {
    render() {
        const { pathUrl, active, icoName, linkName, ...rest } = this.props;
        return (
            <NavLink
                {...rest}
                to={pathUrl}
                activeClassName={active}
                className={"root-item "}
            >
                <i className={"icoName ico"} />
                <span className={"text"}>{linkName}</span>
            </NavLink>
        )
    }
}