import { Component } from 'react';
import './orderlist.scss';


const CardList = ({ title, extra, children, ...restProps }) => {
    return (
        <div>
            <div className={style.card2} {...restProps}>
                <nav>{title} <span className={style.details}>{extra}</span></nav>
                {React.Children.map(
                    children,
                    child => (child ? React.cloneElement(child, {}) : child)
                )}
            </div>
        </div>
    )
}

export default CardList;