import React, {Component} from 'react';
import './index.scss';

class Classify extends Component {
    state = {
        dataList: [
            {
                'src': 'http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png',
                'title': 'Spark大数据',
                'teacher': 'wwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwww',
                'time': '2343234',
                'isbuy': 0,
                'price0': 100,
                'price1': 1000
            },
            {
                'src': 'http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png',
                'title': '机器学习',
                'teacher': 'wwwwww',
                'time': '2343234',
                'isbuy': 0,
                'price0': 100,
                'price1': 1000
            },
            {
                'src': 'http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png',
                'title': 'Linux',
                'teacher': 'wwwwww',
                'time': '2343234',
                'isbuy': 0,
                'price0': 100,
                'price1': 1000
            },
            {
                'src': 'http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png',
                'title': '数学',
                'teacher': 'wwwwww',
                'time': '2343234',
                'isbuy': 1,
                'price0': 200,
                'price1': 2000
            }
        ]
    }
    render() {
        return (
            <div className='class-box'>
                <div className="class-title">分类</div>
                <div className="class-course">
                    <p className='course-items-title'><img
                        src="http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png"
                        alt=""/>集训营</p>
                    <div className='items-box'>
                        {
                            this.state.dataList.map((item,index)=>{
                                return (
                                    <a href="/classify/courselist" key={index} className='item-banner'><img
                                        src={item.src}
                                        alt=""/></a>
                                )
                            })
                        }

                    </div>
                </div>
                <div className="class-course">
                    <p className='course-items-title'><img
                        src="http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png"
                        alt=""/>就业班</p>
                    <div className='items-box'>
                        {
                            this.state.dataList.map((item,index)=>{
                                return (
                                    <a href="/#" key={index} className='item-banner'><img
                                        src={item.src}
                                        alt=""/></a>
                                )
                            })
                        }
                    </div>
                </div>
                <div className="class-course">
                    <p className='course-items-title'><img
                        src="http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png"
                        alt=""/>基础入门</p>
                    <div className='items-box'>
                        {
                            this.state.dataList.map((item,index)=>{
                                return (
                                    <a href="/#" key={index} className='item-label'>{item.title}</a>
                                )
                            })
                        }
                    </div>
                </div>
                <div className="class-course">
                    <p className='course-items-title'><img
                        src="http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png"
                        alt=""/>进阶提高</p>
                    <div className='items-box'>
                        {
                            this.state.dataList.map((item,index)=>{
                                return (
                                    <a href="/#" key={index} className='item-label'>{item.title}</a>
                                )
                            })
                        }
                    </div>
                </div>
                <div className="vip">
                    <a href="/#">
                        <img src="http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png" alt=""/>
                    </a>
                </div>
            </div>
        )
    }

}

export default Classify;